# Hivestreaming (E-CDN)

You can use the P2P E-CDN service providers **Kollective** and **Hive Streaming** by following the configuration instructions below.

Both [**Hive Streaming**](https://www.hivestreaming.com/) and [**Kollective**](https://de.kollective.com/) are fully integrated into our API and can also be controlled through our web interface.

**Hive Streaming**

```html
<script type="text/javascript">
  var player = new js3q({
    playoutId: '5c3b0910-8850-11e7-9273-002590c750be',
    container: 'player',
    p2p: {
      hive: {
        ticketUrl: 'your-hive-ticket-url',
        techOrder: ['HiveJS'], // optional, Techs available: "HiveJava", "HiveJS", "StatsJS",
      },
    },
  });
</script>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://player.docs.3q.video/plugins/hivestreaming-e-cdn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
